xscreenshot
===========

xscreenshot is a simple program to take screenshot of your desktop.

You can run it to take a single screenshot, or run it in multiple-shots
mode.

The single-shot mode is meant to be used with other hotkey programs 
(such as xbindkeys). In this mode, once you have taken your screenshot 
it will exit. This is the default mode.

In multiple-shots mode, xscreenshot will run until you tell it to exit.
You can toggle between normal mode, or screenshot taking mode.
In normal mode, the mouse can be used as normal (hence the name).
In screenshot mode, you can take multiple screenshots, one after another.

The screenshot is saved as PNG file.

Mouse buttons
-------------
Left-click:  press to start selection, move to choose, release to take a shot.
Right-click: 
 - if pressed during active selection (that is, when left-button is pressed too): 
   cancel selection, and you can start over.
 - if pressed when there is no active selection:
   - in single-shot mode, xscreenshot will exit
   - in multiple-shot mode: no effect

Keys usage
----------
Hotkey            - toggle screenshot/normal mode
Ctrl-Shift-hotkey - terminate xscreenshot

Command line options
--------------------
There are a few aspects of the program you can control by passing 
options.

 -h       : brief help 
 -m key   : enable multiple-shots mode with 'key' as the hotkey 
 -p path  : path/filename for screenshot (default is $HOME/xscreenshot)
 -n index : the starting index used for screenshot filename

BUGS: 
-----
 - Only support direct/truecolor, 15/16/24/32-bit RGB pixel 
   (with LSB first).
   
Copyright (C) James Budiono, 2014
License: GNU GPL Version 3. See the attached gpl-3.0.txt.
